Package Details: gamescope-git 3.16.4.r0.g1ab8009d-1

Git Clone URL: https://aur.archlinux.org/gamescope-git.git (read-only, click to copy)
Package Base: gamescope-git
Description: SteamOS session compositing window manager
Upstream URL: https://github.com/ValveSoftware/gamescope
Keywords: gamescope session steamcompmgr steamos
Licenses: BSD-2-Clause
Conflicts: gamescope
Provides: gamescope
Submitter: Scrumplex
Maintainer: bouhaa (alkazar, ruineka, pastaq)
Last Packager: Sid127
Votes: 24
Popularity: 0.001970
First Submitted: 2020-05-20 11:19 (UTC)
Last Updated: 2025-04-23 14:23 (UTC)

Required by (44)

Sources (9)

Pinned Comments

Scrumplex commented on 2022-06-14 10:44 (UTC)

Please do not flag this package as out-of-date if it still builds fine and isn't missing any dependencies or anything

Latest Comments

1 2 3 4 5 6 .. 12 Next › Last »

kode54 commented on 2026-05-16 07:44 (UTC) (edited on 2026-05-16 07:47 (UTC) by kode54)

Now fails with this message on meson config:

tests/meson.build:1:13: ERROR: Dependency "catch2-with-main" not found (tried pkg-config and cmake)

As catch2 is a header-only library, it is probably safely included in makedepends.

Edit 2: It does look like catch2 includes some linkable libraries, and this needs the catch2-with-main, but the library is static only, so it should again be safe as makedepends.

patlefort commented on 2026-05-13 05:26 (UTC)

Upstream has added some tests. I suggest adding -Denable_tests=false or adding the proper check() function and dependencies (catch2).

tineva commented on 2026-04-25 21:51 (UTC)

The workaround for wlroots is no longer needed, as it's been fixed upstream, so this package is no longer outdated.

Billli11 commented on 2026-04-10 20:42 (UTC)

@Delor3an91

workaround here

https://github.com/ValveSoftware/gamescope/issues/2110#issuecomment-4113239362

Delor3an91 commented on 2026-04-08 22:03 (UTC)

Build errors :

Found ninja-1.13.2 at /usr/bin/ninja ninja: Entering directory `build'
[235/661] Compiling C object subprojects/wlroots/libwlroots-0.18.a.p/backend_libinput_switch.c.o FAILED: [code=1] subprojects/wlroots/libwlroots-0.18.a.p/backend_libinput_switch.c.o cc -Isubprojects/wlroots/libwlroots-0.18.a.p -Isubprojects/wlroots -I../subprojects/wlroots -Isubprojects/wlroots/include -I../subprojects/wlroots/include -Isubprojects/wlroots/protocol -I/usr/include/libdrm -I/usr/include/pixman-1 -fdiagnostics-color=always -D_FILE_OFFSET_BITS=64 -Wall -Winvalid-pch -Wextra -Werror -std=c11 -D_POSIX_C_SOURCE=200809L -DWLR_USE_UNSTABLE -DWLR_LITTLE_ENDIAN=1 -DWLR_BIG_ENDIAN=0 -Wundef -Wlogical-op -Wmissing-include-dirs -Wold-style-definition -Wpointer-arith -Winit-self -Wstrict-prototypes -Wimplicit-fallthrough=2 -Wendif-labels -Wstrict-aliasing=2 -Woverflow -Wmissing-prototypes -Walloca -Wno-missing-braces -Wno-missing-field-initializers -Wno-unused-parameter -fmacro-prefix-map=../subprojects/wlroots/= -march=native -O3 -pipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security -fstack-clash-protection -fcf-protection -flto=auto -fPIC -MD -MQ subprojects/wlroots/libwlroots-0.18.a.p/backend_libinput_switch.c.o -MF subprojects/wlroots/libwlroots-0.18.a.p/backend_libinput_switch.c.o.d -o subprojects/wlroots/libwlroots-0.18.a.p/backend_libinput_switch.c.o -c ../subprojects/wlroots/backend/libinput/switch.c ../subprojects/wlroots/backend/libinput/switch.c: Dans la fonction « handle_switch_toggle »: ../subprojects/wlroots/backend/libinput/switch.c:32:9: erreur: la valeur « LIBINPUT_SWITCH_KEYPAD_SLIDE » de l'énumération n'est pas traitée dans le « switch » [-Werror=switch] 32 | switch (libinput_event_switch_get_switch(sevent)) { | ^~ cc1 : tous les avertissements sont traités comme des erreurs [260/661] Compiling C++ object subprojects/openvr/libopenvr_api.a.p/src_jsoncpp.cpp.o ninja: build stopped: subcommand failed. ==> ERREUR : Une erreur s’est produite dans build(). Abandon…

ninetailedtori commented on 2025-07-07 18:31 (UTC)

Hi there, please refer to https://github.com/ValveSoftware/gamescope/issues/1604#issuecomment-3037121239. Could https://github.com/ValveSoftware/gamescope/pull/1826.patch be added to the patches?

ninetailedtori commented on 2025-07-04 19:22 (UTC)

Just to confirm, this PKGBUILD doesn't have any bugfix patches applied, right? I'd need to customise the PKGBUILD if I wanted to?

greyltc commented on 2025-06-07 15:18 (UTC)

I'm getting

wlroots 0.18.0

    drm-backend     : NO
    x11-backend     : NO
    libinput-backend: YES
    xwayland        : YES
    gles2-renderer  : NO
    vulkan-renderer : NO
    gbm-allocator   : NO
    session         : YES
    color-management: YES
    xcb-errors      : YES
    egl             : NO
    libliftoff      : NO

are there a bunch of missing optional deps or something?

VoodaGod commented on 2025-04-02 16:09 (UTC) (edited on 2025-04-02 16:22 (UTC) by VoodaGod)

apply this patch to fix the build with cmake 4:

diff --git a/PKGBUILD b/PKGBUILD
index 1259a7b..9d10071 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -69,6 +69,7 @@ source=(
     'git+https://github.com/Joshua-Ashton/reshade.git'
     'git+https://github.com/Joshua-Ashton/GamescopeShaders.git#tag=v0.1'
     'git+https://github.com/KhronosGroup/SPIRV-Headers.git'
+    'https://gist.githubusercontent.com/VoodaGod/3ad0c5d23cfca93518317d4135e4dcca/raw/c5f2032fd9d192b757220d3f64b5a8c835aa9844/openvr_cmake4.patch'
 )

 b2sums=(
@@ -81,6 +82,7 @@ b2sums=(
     'SKIP'
     'SKIP'
     'SKIP'
+    'SKIP'
 )

 provides=("$_pkgname")
@@ -89,15 +91,6 @@ conflicts=("$_pkgname")
 prepare() {
     cd "$_pkgname"

-    # Add custom patches if needed
-    for src in "${source[@]}"; do
-        src="${src%%::*}"
-        src="${src##*/}"
-        [[ $src = *.patch ]] || continue
-        echo "Applying patch $src..."
-        git apply -v "../$src"
-    done
-
     meson subprojects download

     git submodule init subprojects/wlroots
@@ -122,6 +115,15 @@ prepare() {
     git config submodule.thirdparty/SPIRV-Headers.url ../SPIRV-Headers

     git -c protocol.file.allow=always submodule update
+
+    # Add custom patches if needed
+    for src in "${source[@]}"; do
+        src="${src%%::*}"
+        src="${src##*/}"
+        [[ $src = *.patch ]] || continue
+        echo "Applying patch $src..."
+        git apply -v "../$src"
+    done
 }

 pkgver() {